diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/class-wp-walker.php ./wordpress-3.4/wp-includes/class-wp-walker.php
*** ./wordpress-3.3.2/wp-includes/class-wp-walker.php	2010-10-30 09:09:05.000000000 -0500
--- ./wordpress-3.4/wp-includes/class-wp-walker.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 52,58 ****
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
  	 */
! 	function start_lvl(&$output) {}
  
  	/**
  	 * Ends the list of after the elements are added.
--- 52,58 ----
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
  	 */
! 	function start_lvl( &$output, $depth = 0, $args = array() ) {}
  
  	/**
  	 * Ends the list of after the elements are added.
***************
*** 66,72 ****
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
  	 */
! 	function end_lvl(&$output)   {}
  
  	/**
  	 * Start the element output.
--- 66,72 ----
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
  	 */
! 	function end_lvl( &$output, $depth = 0, $args = array() )   {}
  
  	/**
  	 * Start the element output.
***************
*** 80,86 ****
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
  	 */
! 	function start_el(&$output)  {}
  
  	/**
  	 * Ends the element output, if needed.
--- 80,86 ----
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
  	 */
! 	function start_el( &$output, $object, $depth, $args, $current_object_id = 0 )  {}
  
  	/**
  	 * Ends the element output, if needed.
***************
*** 93,99 ****
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
  	 */
! 	function end_el(&$output)    {}
  
  	/**
  	 * Traverse elements to create list from elements.
--- 93,99 ----
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
  	 */
! 	function end_el( &$output, $object, $depth = 0, $args = array() )    {}
  
  	/**
  	 * Traverse elements to create list from elements.
***************
*** 395,399 ****
  
  	}
  }
- 
- ?>
\ No newline at end of file
--- 395,397 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/class-wp-xmlrpc-server.php ./wordpress-3.4/wp-includes/class-wp-xmlrpc-server.php
*** ./wordpress-3.3.2/wp-includes/class-wp-xmlrpc-server.php	2011-10-27 13:36:49.000000000 -0500
--- ./wordpress-3.4/wp-includes/class-wp-xmlrpc-server.php	2012-06-05 11:25:05.000000000 -0500
***************
*** 36,41 ****
--- 36,53 ----
  		$this->methods = array(
  			// WordPress API
  			'wp.getUsersBlogs'		=> 'this:wp_getUsersBlogs',
+ 			'wp.newPost'			=> 'this:wp_newPost',
+ 			'wp.editPost'			=> 'this:wp_editPost',
+ 			'wp.deletePost'			=> 'this:wp_deletePost',
+ 			'wp.getPost'			=> 'this:wp_getPost',
+ 			'wp.getPosts'			=> 'this:wp_getPosts',
+ 			'wp.newTerm'			=> 'this:wp_newTerm',
+ 			'wp.editTerm'			=> 'this:wp_editTerm',
+ 			'wp.deleteTerm'			=> 'this:wp_deleteTerm',
+ 			'wp.getTerm'			=> 'this:wp_getTerm',
+ 			'wp.getTerms'			=> 'this:wp_getTerms',
+ 			'wp.getTaxonomy'		=> 'this:wp_getTaxonomy',
+ 			'wp.getTaxonomies'		=> 'this:wp_getTaxonomies',
  			'wp.getPage'			=> 'this:wp_getPage',
  			'wp.getPages'			=> 'this:wp_getPages',
  			'wp.newPage'			=> 'this:wp_newPage',
***************
*** 64,69 ****
--- 76,83 ----
  			'wp.getMediaItem'		=> 'this:wp_getMediaItem',
  			'wp.getMediaLibrary'	=> 'this:wp_getMediaLibrary',
  			'wp.getPostFormats'     => 'this:wp_getPostFormats',
+ 			'wp.getPostType'		=> 'this:wp_getPostType',
+ 			'wp.getPostTypes'		=> 'this:wp_getPostTypes',
  
  			// Blogger API
  			'blogger.getUsersBlogs' => 'this:blogger_getUsersBlogs',
***************
*** 109,115 ****
  			'demo.addTwoNumbers' => 'this:addTwoNumbers'
  		);
  
! 		$this->initialise_blog_option_info( );
  		$this->methods = apply_filters('xmlrpc_methods', $this->methods);
  	}
  
--- 123,129 ----
  			'demo.addTwoNumbers' => 'this:addTwoNumbers'
  		);
  
! 		$this->initialise_blog_option_info();
  		$this->methods = apply_filters('xmlrpc_methods', $this->methods);
  	}
  
***************
*** 156,162 ****
  	 */
  	function login_pass_ok($user_login, $user_pass) {
  		if ( !get_option( 'enable_xmlrpc' ) ) {
! 			$this->error = new IXR_Error( 405, sprintf( __( 'XML-RPC services are disabled on this site.  An admin user can enable them at %s'),  admin_url('options-writing.php') ) );
  			return false;
  		}
  
--- 170,176 ----
  	 */
  	function login_pass_ok($user_login, $user_pass) {
  		if ( !get_option( 'enable_xmlrpc' ) ) {
! 			$this->error = new IXR_Error( 405, sprintf( __( 'XML-RPC services are disabled on this site. An admin user can enable them at %s'),  admin_url('options-writing.php') ) );
  			return false;
  		}
  
***************
*** 178,184 ****
  	 */
  	function login($username, $password) {
  		if ( !get_option( 'enable_xmlrpc' ) ) {
! 			$this->error = new IXR_Error( 405, sprintf( __( 'XML-RPC services are disabled on this site.  An admin user can enable them at %s'),  admin_url('options-writing.php') ) );
  			return false;
  		}
  
--- 192,198 ----
  	 */
  	function login($username, $password) {
  		if ( !get_option( 'enable_xmlrpc' ) ) {
! 			$this->error = new IXR_Error( 405, sprintf( __( 'XML-RPC services are disabled on this site. An admin user can enable them at %s'),  admin_url('options-writing.php') ) );
  			return false;
  		}
  
***************
*** 262,272 ****
  			if ( isset($meta['id']) ) {
  				$meta['id'] = (int) $meta['id'];
  				$pmeta = get_metadata_by_mid( 'post', $meta['id'] );
- 				$meta['value'] = stripslashes_deep( $meta['value'] );
  				if ( isset($meta['key']) ) {
  					$meta['key'] = stripslashes( $meta['key'] );
  					if ( $meta['key'] != $pmeta->meta_key )
  						continue;
  					if ( current_user_can( 'edit_post_meta', $post_id, $meta['key'] ) )
  						update_metadata_by_mid( 'post', $meta['id'], $meta['value'] );
  				} elseif ( current_user_can( 'delete_post_meta', $post_id, $pmeta->meta_key ) ) {
--- 276,286 ----
  			if ( isset($meta['id']) ) {
  				$meta['id'] = (int) $meta['id'];
  				$pmeta = get_metadata_by_mid( 'post', $meta['id'] );
  				if ( isset($meta['key']) ) {
  					$meta['key'] = stripslashes( $meta['key'] );
  					if ( $meta['key'] != $pmeta->meta_key )
  						continue;
+ 					$meta['value'] = stripslashes_deep( $meta['value'] );
  					if ( current_user_can( 'edit_post_meta', $post_id, $meta['key'] ) )
  						update_metadata_by_mid( 'post', $meta['id'], $meta['value'] );
  				} elseif ( current_user_can( 'delete_post_meta', $post_id, $pmeta->meta_key ) ) {
